/* Domain-spezifische Fonts */

/*
background-color: #ada7a2 !important;
*/


/* Domain-spezifische Styles und Overrides */
:root {

  --knf-color-dunkelblau: #1E3D7A;
  --knf-color-petrol: #45687D;

  --knf-color-hellblau: #E3ECF2;
  --knf-color-mittelblau: #719FBC;

  --knf-color-hellsand: #F4F1EE;
  --knf-color-mittelsand: #A3968B;

  --knf-color-mittelsand-heller: #b9aea6;
  --knf-color-mittelsand-dunkler: #a38c79;
 
  --knf-color-mittelblau-heller: #91b7ce;
  --knf-color-mittelblau-dunkler: #6293b2;
 
  --color-primary: var(--knf-color-dunkelblau);
  --focus-outline-color: var(--knf-color-mittelsand);
  --focus-outline: 2px solid var(--focus-outline-color);

  --border-radius: 15px;

  --ast-global-color-0: var(--knf-color-dunkelblau);


  --font-family-base: 'Barlow', system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;

  --font-family-bold: 'Barlow', system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;

  --font-family-headline: var(--font-family-bold);
  --font-weight-headline: 700;


  --knf-block-padding-top: 70px;
  --knf-block-padding-bottom: 70px;
  --knf-box-padding: 20px;


  --knf-teaser-padding-top: 0.9rem;
  --knf-teaser-padding-bottom: 3.5rem;



  --knf-fact-line-color: var(--knf-color-mittelsand);
  --knf-fact-icon-bg-color: var(--knf-color-petrol);
  --knf-fact-border-radius: var(--border-radius);

}

body .em,
body .em *
{
  --default-border: var(--knf-color-dunkelblau) !important;

}
/*
@font-face {
  font-family: 'FontAwesome';
  font-style:  normal;
  font-weight: normal;
  font-display: swap;
  src: url("../fonts/knf/fontawesome-webfont.woff2") format("woff2"),
       url("../fonts/knf/fontawesome-webfont.woff") format("woff"),
       url("../fonts/knf/fontawesome-webfont.ttf") format("truetype");
}
*/

.bg-schwarz:not(.no-text-color-change) *:not(a):not(input):not(select):not(option):not(textarea),
.bg-blau:not(.no-text-color-change) *:not(a):not(input):not(select):not(option):not(textarea),
.bg-dunkelblau:not(.no-text-color-change) *:not(a):not(input):not(select):not(option):not(textarea),
.bg-dunkelblau-trans:not(.no-text-color-change) *:not(a):not(input):not(select):not(option):not(textarea),
.bg-rot:not(.no-text-color-change) *:not(a):not(input):not(select):not(option):not(textarea),

.bg-schwarz:not(.no-text-color-change) h3 > a,
.bg-blau:not(.no-text-color-change) h3 > a,
.bg-dunkelblau:not(.no-text-color-change) h3 > a,
.bg-dunkelblau-trans:not(.no-text-color-change) h3 > a,
.bg-rot:not(.no-text-color-change) h3 > a
{
  color: #fff;
}


.text-weiss:not(.bg-rot) *:not(.bg-rot) ::selection,
.text-white:not(.bg-rot) *:not(.bg-rot) ::selection,
.white-text:not(.bg-rot) *:not(.bg-rot) ::selection,
.bg-blau ::selection,
.bg-blau-trans ::selection,
.bg-dunkelblau ::selection,
.bg-dunkelblau-trans ::selection 
{
  background-color: #fff;
  color: var(--ast-global-color-0);
}




.bg-white:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-white > .vc_column-inner,
.vc_column_container.inner-bg-white > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-white .aio-icon-img,
.vc-hoverbox-wrapper.bg-white .vc-hoverbox-block

.bg-weiss:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-weiss > .vc_column-inner,
.vc_column_container.inner-bg-weiss > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-weiss .aio-icon-img,
.vc-hoverbox-wrapper.bg-weiss .vc-hoverbox-block
{
    background-color: #fff !important;  
}


.bg-schwarz:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-schwarz > .vc_column-inner,
.vc_column_container.inner-bg-schwarz > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-schwarz .aio-icon-img,
.vc-hoverbox-wrapper.bg-schwarz .vc-hoverbox-block

.bg-black:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-black > .vc_column-inner,
.vc_column_container.inner-bg-black > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-black .aio-icon-img,
.vc-hoverbox-wrapper.bg-black .vc-hoverbox-block
{
    background-color: #000 !important;  
}


/* ################################################################# */
/* CD Farben: */


.petrol-h h1,
.petrol-h h2,
.petrol-h h3,
.petrol-h h4,
.petrol-h h5,
.petrol,
.petrol *,
.text-petrol,
.petrol-text,
.text-petrol *,
.petrol-text *
{
    color: var(--knf-color-petrol) !important;
}

.bg-petrol:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-petrol > .vc_column-inner,
.vc_column_container.inner-bg-petrol > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-petrol .aio-icon-img,
.vc-hoverbox-wrapper.bg-petrol .vc-hoverbox-block
{
    background-color: var(--knf-color-petrol) !important;  
}




.dunkelblau-h h1,
.dunkelblau-h h2,
.dunkelblau-h h3,
.dunkelblau-h h4,
.dunkelblau-h h5,
.dunkelblau,
.dunkelblau *,
.text-dunkelblau,
.dunkelblau-text,
.text-dunkelblau *,
.dunkelblau-text *
{
    color: var(--knf-color-dunkelblau) !important;
}

.bg-dunkelblau:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-dunkelblau > .vc_column-inner,
.vc_column_container.inner-bg-dunkelblau > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-dunkelblau .aio-icon-img,
.vc-hoverbox-wrapper.bg-dunkelblau .vc-hoverbox-block
{
    background-color: var(--knf-color-dunkelblau) !important;  
}




.hellblau-h h1,
.hellblau-h h2,
.hellblau-h h3,
.hellblau-h h4,
.hellblau-h h5,
.hellblau,
.hellblau *,
.text-hellblau,
.hellblau-text,
.text-hellblau *,
.hellblau-text *
{
    color: var(--knf-color-hellblau) !important;
}

.bg-hellblau:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-hellblau > .vc_column-inner,
.vc_column_container.inner-bg-hellblau > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-hellblau .aio-icon-img,
.vc-hoverbox-wrapper.bg-hellblau .vc-hoverbox-block
{
    background-color: var(--knf-color-hellblau) !important;  
}




.mittelblau-h h1,
.mittelblau-h h2,
.mittelblau-h h3,
.mittelblau-h h4,
.mittelblau-h h5,
.mittelblau,
.mittelblau *,
.text-mittelblau,
.mittelblau-text,
.text-mittelblau *,
.mittelblau-text *
{
    color: var(--knf-color-mittelblau) !important;
}

.bg-mittelblau:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelblau > .vc_column-inner,
.vc_column_container.inner-bg-mittelblau > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelblau .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelblau .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelblau) !important;  
}



.hellsand-h h1,
.hellsand-h h2,
.hellsand-h h3,
.hellsand-h h4,
.hellsand-h h5,
.hellsand,
.hellsand *,
.text-hellsand,
.hellsand-text,
.text-hellsand *,
.hellsand-text *
{
    color: var(--knf-color-hellsand) !important;
}

.bg-hellsand:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-hellsand > .vc_column-inner,
.vc_column_container.inner-bg-hellsand > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-hellsand .aio-icon-img,
.vc-hoverbox-wrapper.bg-hellsand .vc-hoverbox-block
{
    background-color: var(--knf-color-hellsand) !important;  
}




.mittelsand-h h1,
.mittelsand-h h2,
.mittelsand-h h3,
.mittelsand-h h4,
.mittelsand-h h5,
.mittelsand,
.mittelsand *,
.text-mittelsand,
.mittelsand-text,
.text-mittelsand *,
.mittelsand-text *
{
    color: var(--knf-color-mittelsand) !important;
}

.bg-mittelsand:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelsand > .vc_column-inner,
.vc_column_container.inner-bg-mittelsand > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelsand .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelsand .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelsand) !important;  
}


/* ################################################################# */

.bg-mittelsand-heller:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelsand-heller > .vc_column-inner,
.vc_column_container.inner-bg-mittelsand-heller > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelsand-heller .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelsand-heller .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelsand-heller) !important;  
}

.bg-mittelsand-dunkler:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelsand-dunkler > .vc_column-inner,
.vc_column_container.inner-bg-mittelsand-dunkler > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelsand-dunkler .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelsand-dunkler .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelsand-dunkler) !important;  
}

/* -------------------- */


.bg-mittelblau-heller:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelblau-heller > .vc_column-inner,
.vc_column_container.inner-bg-mittelblau-heller > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelblau-heller .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelblau-heller .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelblau-heller) !important;  
}

.bg-mittelblau-dunkler:not(.vc_column_container):not(.vc-hoverbox-wrapper),
.vc_column_container.bg-mittelblau-dunkler > .vc_column-inner,
.vc_column_container.inner-bg-mittelblau-dunkler > .vc_column-inner > .wpb_wrapper,
.ult-just-icon-wrapper.bg-mittelblau-dunkler .aio-icon-img,
.vc-hoverbox-wrapper.bg-mittelblau-dunkler .vc-hoverbox-block
{
    background-color: var(--knf-color-mittelblau-dunkler) !important;  
}


/* ################################################################# */


.vc-hoverbox-wrapper
{
    margin-bottom: 30px;
}

.vc-hoverbox-wrapper[class^='bg-'] .vc-hoverbox-block, 
.vc-hoverbox-wrapper[class*=' bg-'] .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-white .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-weiss .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-schwarz .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-black .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-petrol .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-dunkelblau .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-hellblau .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-mittelblau .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-hellsand .vc-hoverbox-block,
.vc-hoverbox-wrapper.bg-mittelsand .vc-hoverbox-block
{
    background-image: none !important;
    border-radius: var(--border-radius);
}
  
.vc-hoverbox-wrapper .vc-hoverbox-inner p
{
    font-size: 120%;
}
.vc-hoverbox-wrapper.small-text .vc-hoverbox-inner p
{
    font-size: 100%;
}

.vc-hoverbox-wrapper.small h2
{
    font-size: 1.7em;
    font-weight: 500;
}

.vc-hoverbox-wrapper.smaller h2
{
    font-size: 1.3em;
    font-weight: 500;
}


.vc-hoverbox-wrapper.small .vc-hoverbox-inner
{
    min-height: 200px !important;
}


/* ################################################################# */

p.larger,
.larger p,
p.introtext,
.introtext p
{
  font-size: 150%;
  line-height: 130%;
}


@media (min-width: 768px)
{  
  .md-text-align-right
  {
    text-align: right;
  }
  .md-text-align-left
  {
    text-align: left;
  }
}


/* ################################################################# */


.nzwknf-topbar {
  font-size: 14px;
  /*border-bottom: 1px solid rgba(0,0,0,.08);*/

}




/* ################################################################# */


.site-footer
{
    background-color: var(--knf-color-mittelsand);

}
.site-primary-footer-wrap {
    padding-top: 60px;
    padding-bottom: 0px;
}

.site-footer *,
.site-footer a:hover, 
.site-footer a:active, 
.site-footer a:focus
{
    color: #fff;
}

.site-footer .widget-title
{
    color: white; /* var(--knf-color-dunkelblau) */;
}

.site-footer .widget-title
{
    margin-bottom: 0;
}



/* ################################################################# */



.c-header {
  background: transparent;
  border-bottom: 1px solid transparent;

}

.c-header__inner
{
  max-width: none;
}
/*
.c-header__branding
{
  padding: 1rem 2rem 0.5rem 1rem;
}

.c-nav .c-nav__inner
{
  justify-content: flex-end;
}

*/

.c-nav .main-header-menu
{
  width: 100%;
  display: flex;
  justify-content: flex-end;

}
/*
.c-nav .main-header-menu > .menu-item > .menu-link {
    padding: 1rem;
}

.c-header__logo img
{
  filter: grayscale(100%) brightness(0) invert(1);
  transition: filter 0.3s ease;
}
*/

@media (min-width: 922px) and (max-width: 1280px) {
    .c-header .main-header-menu {
        gap: 0 0.25rem;
    }
}

@media (min-width: 922px) and (max-width: 1210px) {

    .c-header__branding
    {
        gap: 0;
        padding: 0;
    }

    .main-header-menu > .menu-item > .menu-link > .dropdown-menu-toggle
    {
        display: none;

    }

}

.main-header-menu .sub-menu .menu-item.focus > .menu-link, 
.main-header-menu .sub-menu .menu-item:focus > .menu-link, 
.main-header-menu .sub-menu .menu-item:hover > .menu-link 
{
    background-color: var(--knf-color-hellblau);
    font-weight: 500;
}

.c-hero__title {
  font-family: var(--font-family-base);
  font-weight: var(--font-weight-base);
  font-size: clamp(1.4rem, 2.2vw, 2rem);
  margin: 0 0 0.25rem;
}

h1, h2, h3, h4, h5, h6, .entry-title a, .entry-content :where(h1,h2,h3,h4,h5,h6)
{
  margin-bottom: max(0.6em, 16px);
}

h1, .entry-content :where(h1), .site-title, .site-title a {
    color: var(--knf-color-dunkelblau);
}


body .vc_do_btn 
{
    margin-bottom: 35px;
}

p + p > a.button.primary
{
    margin-top: 5px;
    display: inline-block;
}

.wpb_content_element.wpb_text_column.knf-fact + .vc_do_btn
{
    margin-top: -25px;
}


.wp-block-file__button,
.vc_general.vc_btn3,
.button.primary
{
    text-decoration: none !important;

    background-image: none !important;
    background-color: var(--knf-color-dunkelblau) !important;
    border-radius: 100px !important;
    border: 2px solid #fff !important;
    box-shadow: 6px 6px 15px 0px rgba(0, 0, 0, 0.2);
    font-family: var(--font-family-bold);
    color: #fff !important;

    padding-top: 0.7em;
    padding-right: 2em;
    padding-bottom: 0.7em;
    padding-left: 2.2em;
}

.wp-block-file__button:after,
.vc_general.vc_btn3:after,
.button.primary:after
{
    content: '';
    display: inline-block;
    width: 0.6em;
    height: 0.6em;
    vertical-align: baseline;
    background: url(../images/knf/link-arrow-w.svg) no-repeat center;
    background-size: contain;
    margin-left: 0.4em;

}


.wp-block-file__button:hover,
.wp-block-file__button:active,
.wp-block-file__button:focus,
.vc_general.vc_btn3:hover,
.vc_general.vc_btn3:active,
.vc_general.vc_btn3:focus,
.button.primary:hover,
.button.primary:active,
.button.primary:focus
{
    background-color: var(--knf-color-petrol);
    /* border-color: var(--focus-outline-color); */
    box-shadow: 6px 6px 20px 0px rgba(0, 0, 0, 0.4);
}

/* ####################################### */

.vc_separator.vc_sep_color_blue .vc_sep_line {
    border-color: var(--color-primary);
}

/* ####################################### */

body:not(.specfake) .vc_general.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading
{
    background-color: var(--knf-color-hellblau) !important;
    border-color: var(--knf-color-hellblau) !important;
}

body:not(.specfake) .vc_general.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-title>a
{
    color: var(--color-text);


}

body:not(.specfake) .vc_tta .vc_tta-panel.vc_active+.vc_tta-panel .vc_tta-panel-heading, 
body:not(.specfake) .vc_tta .vc_tta-panel:not(:first-child) .vc_tta-panel-heading {
    margin-top: 2px !important;
}

body:not(.specfake) .vc_tta .vc_tta-panel.vc_active .vc_tta-panel-heading, 
body:not(.specfake) .vc_tta .vc_tta-panel:not(:last-child) .vc_tta-panel-heading {
    margin-bottom: 2px !important;
}

body:not(.specfake) .vc_tta .vc_tta-panel.vc_active .vc_tta-panel-heading {
    margin-bottom: 0px !important;
}


body:not(.specfake) .vc_general.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-title>a
{
    color: var(--knf-color-dunkelblau);
}

body:not(.specfake) .vc_tta-color-sky.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-:not(.specfake) {
    background-color: #f8f8f8;
}

body:not(.specfake) .vc_tta.vc_tta-accordion .vc_tta-controls-icon-position-right .vc_tta-controls-icon
{
    right: auto;
    margin-left: 0.7em;
}


body:not(.specfake) .vc_tta .vc_tta-controls-icon:before
{

    border-style: solid;
    border-width: 0 2px 2px 0;
    bottom: 2px;
    box-sizing: border-box;
    content: "";
    display: block;
    left: 2px;
    position: absolute;
    right: 2px;
    top: 2px;
    transform: rotate(-45deg) translate(-25%, -25%) !important;
}


body:not(.specfake) .vc_tta .vc_tta-controls-icon:after, 
body:not(.specfake) .vc_tta .vc_tta-controls-icon:before {
    border-color: var(--color-text) !important;
}

body:not(.specfake) .vc_tta .vc_active .vc_tta-controls-icon:before {
    transform: rotate(45deg) translate(-25%, -25%) !important; 
    border-color: var(--knf-color-dunkelblau) !important;
}

body:not(.specfake) .vc_tta .vc_tta-panel .vc_tta-panel-body {
    background-color: #fff;
}

/* ------------------------------- */

.knf-fact__title .knf-counter
{
    font-size: 150%;
    color: var(--knf-color-mittelsand);
}

.facts-border-top .knf-fact:first-child
{
    border-top: 1px solid var(--knf-fact-line-color, #7b7fe0);
}


/* ---------------------------------- */


.link-liste li > a:after
{
  background-image: url(../images/knf/link-arrow-blue.svg) !important;
}

